Bug 35052 - cherrypy.TimeoutError() instead of Apache ProxyTimeout
cherrypy.TimeoutError() instead of Apache ProxyTimeout
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-2-errata
Assigned To: Lukas Walter
Dirk Wiesenthal
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-03 22:30 CEST by Dirk Wiesenthal
Modified: 2014-07-21 08:29 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2014-06-03 22:30:45 CEST
We fixed Bug#34005. Now, instead of Apache, Cherrypy raises TimeoutErrors.

So I guess we need to configure this timeout, too.
Comment 1 Dirk Wiesenthal univentionstaff 2014-06-05 11:44:59 CEST
See http://forum.univention.de/viewtopic.php?f=48&t=3066&p=11596#p11596 for a patch
Comment 2 Lukas Walter univentionstaff 2014-07-08 13:10:32 CEST
I've applied the patch as suggested.

svn 51610: univention-management-console-frontend (3.0.152-37)
Comment 3 Dirk Wiesenthal univentionstaff 2014-07-09 01:12:29 CEST
Changeset: Ok
YAML: Ok
Tests: Ok, I get no Timeout traceback, but the unknown Apache Error
Comment 4 Moritz Muehlenhoff univentionstaff 2014-07-14 10:50:50 CEST
http://errata.univention.de/ucs/3.2/149.html